#include "SourceFits.h"
#include <iostream>
#include <string>
#include <cstring>
#include <fitsio.h>

using namespace std;

SourceFits::SourceFits() {
	fptr = NULL;
	filename = "";

	status = 0;
	nfound = 0;

	Xs = 0;
	Ys = 0;
	Frames = 0;

	data = NULL;
}

SourceFits::SourceFits(string name) {

	fptr = NULL;
	filename = name;

	status = 0;
	nfound = 0;

	Xs = 0;
	Ys = 0;
	Frames = 0;

	data = NULL;
}

SourceFits::~SourceFits() {
	if (data) {
		free(data);
		data = NULL;
	}
}

void SourceFits::free_data() {
	if (data) {
		std::cout << "Liberando memoria de sourcefile" << std::endl;
		free(data);
		std::cout << "Done \n" << std::endl;
	}
}

long* SourceFits::getData() {
	
	//Regresa un puntero hacia data, que es donde se encuentra toda la informacion del archivo fits
	return data;
}